# Generated by Django 4.2.6 on 2023-11-01 21:29

from django.db import migrations


def set_project_prefix(apps, schema_editor):
    """
    We can't import the Post model directly as it may be a newer
    version than this migration expects. We use the historical version.
    """
    Institute = apps.get_model("karaage", "institute")
    for institute in Institute.objects.all():
        institute.project_prefix = institute.name.replace(" ", "")[:4]
        institute.save()


class Migration(migrations.Migration):
    dependencies = [
        ("karaage", "0011_institute_project_prefix"),
    ]

    operations = [
        migrations.RunPython(set_project_prefix),
    ]
